#
# spec file for package perl-WWW-Mechanize
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-WWW-Mechanize
Version:        1.91
Release:        43.1
%define cpan_name WWW-Mechanize
Summary:        Handy web browsing in a Perl object
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CGI) >= 4.32
BuildRequires:  perl(HTML::Form) >= 1.00
BuildRequires:  perl(HTML::HeadParser)
BuildRequires:  perl(HTML::TokeParser)
BuildRequires:  perl(HTML::TreeBuilder) >= 5
BuildRequires:  perl(HTTP::Cookies)
BuildRequires:  perl(HTTP::Daemon)
BuildRequires:  perl(HTTP::Request) >= 1.30
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(HTTP::Server::Simple::CGI)
BuildRequires:  perl(LWP)
BuildRequires:  perl(LWP::Simple)
BuildRequires:  perl(LWP::UserAgent) >= 5.827
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Output)
BuildRequires:  perl(Test::Warnings)
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(URI::URL)
BuildRequires:  perl(URI::file)
Requires:       perl(HTML::Form) >= 1.00
Requires:       perl(HTML::HeadParser)
Requires:       perl(HTML::TokeParser)
Requires:       perl(HTML::TreeBuilder) >= 5
Requires:       perl(HTTP::Cookies)
Requires:       perl(HTTP::Request) >= 1.30
Requires:       perl(HTTP::Request::Common)
Requires:       perl(LWP::UserAgent) >= 5.827
Requires:       perl(URI::URL)
Requires:       perl(URI::file)
%{perl_requires}

%description
'WWW::Mechanize', or Mech for short, is a Perl module for stateful
programmatic web browsing, used for automating interaction with websites.

Features include:

* All HTTP methods
* High-level hyperlink and HTML form support, without having to parse
  HTML yourself
* SSL support
* Automatic cookies
* Custom HTTP headers
* Automatic handling of redirections
* Proxies
* HTTP authentication

Mech is well suited for use in testing web applications. If you use one of
the Test::*, like Test::HTML::Lint modules, you can check the fetched
content and use that as input to a test call.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTORS README.md tags
%license LICENSE

%changelog
* Fri Jan 11 2019 coolo@suse.com
- updated to 1.91
  see /usr/share/doc/packages/perl-WWW-Mechanize/Changes
  1.91      2019-01-10 18:44:33Z
    [ENHANCEMENTS]
  - Don't install Perl::Critic and Perl::Tidy to run user tests (GH#268)
    (Julien Fiegehenn)
  - Remove redundant PodSyntaxTests (GH#265) (Andrew Grangaard)
  - Add test dependency for Perl::Tidy (GH#263) (Julien Fiegehenn)
* Thu Dec  6 2018 coolo@suse.com
- updated to 1.90
  see /usr/share/doc/packages/perl-WWW-Mechanize/Changes
  1.90      2018-11-12 18:02:03Z
    [DOCUMENTATION]
  - Pod fixes (GH#261) (Julien Fiegehenn)
  - Fixed pod error as reported by CPANTS. (GH#264) (Mohammad S Anwar)
    [ENHANCEMENTS]
  - Upgrade to HTML::TreeBuilder version 5 to get support for weak references in
    HTML::Element (GH#251) (Julien Fiegehenn)
* Thu Nov  8 2018 coolo@suse.com
- updated to 1.89
  see /usr/share/doc/packages/perl-WWW-Mechanize/Changes
  1.89      2018-10-18 19:13:34Z
    [ENHANCEMENTS]
  - Add support to find_image() and find_all_images() via 'id'
    and 'class' (GH#242) (Julien Fiegehenn)
  - Pass strict/verbose constructor args to HTML::Form (GH#256) (Julien Fiegehenn)
  - Add ability to clear history and tests for history (GH#259) (mschae94)
* Fri Oct 12 2018 opensuse@dstoecker.de
- Fix build
* Sat Mar 24 2018 coolo@suse.com
- updated to 1.88
  see /usr/share/doc/packages/perl-WWW-Mechanize/Changes
  1.88      2018-03-23 15:37:25Z
  ========================================
    [FIXED]
  - tick() now dies if checkbox is not found (GH#248) (Olaf Alders)
    [DOCUMENTATION]
  - Clarify behaviour of submit_form when with_fields is supplied as an arg (GH#247) (Olaf Alders)
  - Document some "Best Practices" (GH#246) (Olaf Alders)
  - Update links in Pod. Suggest LWP::ConsoleLogger rather than LWP::Debug (GH#244) (Olaf Alders)
* Mon Feb 12 2018 coolo@suse.com
- updated to 1.87
  see /usr/share/doc/packages/perl-WWW-Mechanize/Changes
  1.87      2018-02-07 22:04:16Z
  ========================================
    [FIXED]
  - Fix typo in contributor name (GH#241) (Philippe Bruhat (BooK))
  - Fix link to Michael Schilli's article in Linux magazine (GH#240) (Bernhard Wagner)
  - Fix some section links (GH#238) (Evan Zacks)
  - Override _agent() method. (GH#236) (Сергей Романов)
  - Link to appropriate section of HTML::Form (GH#237) (Evan Zacks)
  - Make version consistent in .pm files (GH#231) (Olaf Alders)
    [ENHANCEMENTS]
  - Return form number in list context. (GH#235) (Сергей Романов)
  - Overload 'post' in order to set 'base'. (GH#111) (Stuart A Johnston)
  - Allow multiple file paths/uris in mech-dump; fixes issue 72 (GH#113) (Nik LaBelle)
  - Add docs for the output of dump_forms (GH#112) (John Beppu)
* Wed Feb  7 2018 coolo@suse.com
- updated to 1.86
  see /usr/share/doc/packages/perl-WWW-Mechanize/Changes
* Wed Nov 18 2015 malcolmlewis@opensuse.org
- Change build requires from perl(CGI) to perl-CGI to fix
  failing builds.
- Add preamble perl-CGI in cpanspec.yml.
- Add more verbose description.
* Fri Aug 28 2015 coolo@suse.com
- updated to 1.75
  see /usr/share/doc/packages/perl-WWW-Mechanize/Changes
  1.75
  ========================================
  [OTHER CHANGES]
  - WWW::Mechanize::Image and WWW::Mechanize::Link now have a defined $VERSION
  - fixed warning about the use of the encoding pragma (new in 5.22) (RT#91971)
  - fixed warning about the use of CGI::param in list context (RT#103096)
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.74
  see /usr/share/doc/packages/perl-WWW-Mechanize/Changes
  1.74        2015-01-23
  ========================================
  [OTHER CHANGES]
  - updated repository link in metadata
* Fri Oct  4 2013 coolo@suse.com
- updated to 1.73
  [TESTS]
  - Update t/local/back.t to use LocalServer for 404 checking to avoid fails
  on win32. Fix by Matt S Trout, patient diagnostics and testing provided
  by jayefuu of freenode #perl
  - Blow away more proxy env vars in LocalServer, and do it on load so that
  the LWP env checking doesn't happen before we've done it.
  [OTHER CHANGES]
  - Better error when passing only one parameter to follow_link
* Sat Jun 15 2013 coolo@suse.com
- updated to 1.72
  [DEPENDENCIES]
  Bumped the HTML::Form dependency to fix failures on CentOS 5
  [ENHANCEMENTS]
  Recognise application/xhtml+xml as HTML.
  [DOCUMENTATION]
  Improved docs about support of JavaScript
  Typo fixes.
  [TESTS]
  Updated tests as oops-music.com is in utf-8 now
* Mon Sep 19 2011 coolo@suse.com
- updated to 1.70
  [ENHANCEMENTS]
  Mech now defaults to _not_ running live tests by default.
  You can still enable them by running "perl Makefile.PL --live"
  Thanks to RJBS for the suggestion
  [INTERNALS]
  The test suite for the local tests was updated
* Fri Apr 22 2011 jw@novell.com
- update to 1.68: dependencies fixed, test suite enhanced
* Wed Mar 30 2011 coolo@novell.com
- extent build requires
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Nov 11 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fixed deps
- changelog to changes file
- noarch pkg
* Sun Sep 12 2010 jw@novell.com
- update to 1.66
  * New $mech->text method returns the text from your HTML page.  The exact
    rendering of this text is simply removing all the HTML tags, but this will
    change. It's pretty ugly.  If anyone wants to work on a better-looking text
    dump, I'd love to see it.
  * Added mech-dump --text.
  * Improvements to the docs explaining explicitly about the subclassed
    methods we inherit from LWP::UserAgent.
* Fri Jul  2 2010 jw@novell.com
- update to 0.64,
  Parsing of forms has been delayed until they're actually needed.
  If don't use forms on a page, you'll no longer waste time and memory
  parsing them.
  $mech->title now caches the title of the page after parsing the
  page to find it.
  mech-dump now takes a --cookie-file parameter for keeping cookies
  between calls.
  $mech->form_name() and $mech->form_number() no longer throw warnings
  if they can't find the form specified.  They still return undef,
  though.
  More additions to the FAQ.
* Thu Oct 29 2009 jw@suse.de
- update to 0.60
* Fri Dec 19 2008 coolo@suse.de
- Update to 1.52
* Wed Jun 21 2006 jfunk@funktronics.ca
- Update to 1.18
* Fri Nov 11 2005 jfunk@funktronics.ca
- Update to 1.16
- Build for SL10
* Thu May 12 2005 jfunk@funktronics.ca
- Update to 1.12
- Build for SL93
* Fri Nov 19 2004 jfunk@funktronics.ca
- Initial release 1.04
